Bug 850963 - [abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
[abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:9352241bfbc42a6eab9deeb9b28...
:
: 905091 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 18:27 EDT by Victor Costan
Modified: 2013-08-01 14:56 EDT (History)
109 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:55:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.55 KB, text/plain)
2012-08-22 18:27 EDT, Victor Costan
no flags Details
File: Xorg.0.log (38.25 KB, text/plain)
2012-08-22 18:27 EDT, Victor Costan
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (382 bytes, text/plain)
2012-08-22 18:27 EDT, Victor Costan
no flags Details

  None (edit)
Description Victor Costan 2012-08-22 18:27:21 EDT
Description of problem:


Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-1.fc17

Additional info:
libreport version: 2.0.12
abrt_version:   2.0.11
kernel:         3.5.2-1.fc17.x86_64

backtrace:
:0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x4652a6]
:1: /usr/lib64/xorg/modules/input/synaptics_drv.so (0x7fe9aef14000+0x2f04) [0x7fe9aef16f04]
:2: /usr/lib64/xorg/modules/input/synaptics_drv.so (0x7fe9aef14000+0x4503) [0x7fe9aef18503]
:3: /usr/lib64/xorg/modules/input/synaptics_drv.so (0x7fe9aef14000+0x6f44) [0x7fe9aef1af44]
:4: /usr/bin/Xorg (0x400000+0x80787) [0x480787]
:5: /usr/bin/Xorg (0x400000+0xa4a80) [0x4a4a80]
:6: /lib64/libpthread.so.0 (0x39f7200000+0xefe0) [0x39f720efe0]
:7: /lib64/libc.so.6 (__select+0x13) [0x39f6eea9c3]
:8: /usr/bin/Xorg (WaitForSomething+0x190) [0x462820]
:9: /usr/bin/Xorg (0x400000+0x34111) [0x434111]
:10: /usr/bin/Xorg (0x400000+0x23485) [0x423485]
:11: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x39f6e21735]
:12: /usr/bin/Xorg (0x400000+0x2375d) [0x42375d]
Comment 1 Victor Costan 2012-08-22 18:27:23 EDT
Created attachment 606395 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 Victor Costan 2012-08-22 18:27:24 EDT
Created attachment 606396 [details]
File: Xorg.0.log
Comment 3 Victor Costan 2012-08-22 18:27:25 EDT
Created attachment 606397 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 4 ruy alvarez 2012-09-03 09:37:37 EDT
using it. i have reported before when it stop detecting my synaptics touchpad. In this session this is the second time that crash.

Package: xorg-x11-server-Xorg-1.12.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 moabi2000 2012-09-13 15:13:49 EDT
normal use in gnome. happened after resume from suspend.

Package: xorg-x11-server-Xorg-1.12.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Sam 2012-09-16 17:51:55 EDT
Crash on login to desktop, no visible errors other than the notification.

Package: xorg-x11-server-Xorg-1.12.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Adam Jackson 2012-10-18 17:49:04 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 8 Adam Jackson 2012-10-18 17:49:39 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 9 lso 2012-10-24 01:53:07 EDT
Resuming from hibernation.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Steevithak 2012-10-25 00:21:25 EDT
another X crash

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Brian J. Murrell 2012-10-27 16:31:43 EDT
I had this happen also on xorg-x11-server-*-1.12.3-2.fc17.x86_64.
Comment 12 Andre Massing 2012-10-28 06:37:03 EDT
This happened directly after resuming from suspend to RAM.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 Peter Robinson 2012-10-29 13:45:15 EDT
(In reply to comment #8)
> Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this
> is still reproduceable.

Yes, still reproducible on that release on a Lenovo x220 and 3.6.1-1.fc17.x86_64
Comment 14 BLS 2012-11-01 10:00:07 EDT
Just installed updates, wasen't having any problems before. Only thing I noticed was on first boot the mouse froze; could still use keyboard.

Just updated to the 3.6.3 kernel update ( and any other updates pushed out )

Installed the updates for today and rebooted, mouse is working again.


Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 15 Ira Malinich 2012-11-02 18:00:54 EDT
Installed xguest package using Add/Remove Software GUI, but this ABRT alert appeared just as it finished.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 16 Ira Malinich 2012-11-02 18:05:08 EDT
I should add that my X session did not end; the alert simply appeared in the Gnome 3 notification area.
Comment 17 Steevithak 2012-11-04 17:34:12 EST
Another X.Org crash

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 18 Ferry Huberts 2012-11-05 03:09:43 EST
resume from suspend

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 19 Alex Murray 2012-11-07 05:27:39 EST
Abrt alert popped up after resuming from suspend and unlocking the screen... unsure what actually caused it.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 20 areyouboredtoo 2012-11-07 19:58:29 EST
Simply logged in and error appeared.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 21 Florian Wallner 2012-11-10 07:05:35 EST
I Put the notebook into suspend and the x-server crashed.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 22 Steevithak 2012-11-11 19:43:54 EST
another X.Org crash

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 23 philipp.wehling 2012-11-17 06:47:46 EST
rebooting with dual hybrid graphics

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 24 mauro 2012-11-18 05:35:03 EST
the process crashed at the startup after I upgraded the system

Package: xorg-x11-server-Xorg-1.12.0-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 25 Steevithak 2012-11-18 22:19:10 EST
X.Org crashed on startup

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 26 Alexander Kurtakov 2012-11-23 01:45:14 EST
After resuming the touchpad is no longer working.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 27 jibecfed 2012-11-24 04:35:37 EST
just restored for hibernation

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 28 lso 2012-12-04 01:19:59 EST
System boot-up

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 29 nmarshall 2012-12-06 21:48:37 EST
The only time I've noticed this happening is when VMware Workstation is running, the mouse completely stops and may either take several minutes to rediscover the mouse or not be rediscovered which may cause me to crash X11.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 30 Steevithak 2012-12-07 23:01:55 EST
another X.Org  crash

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 31 Malar Kannan 2012-12-10 07:46:05 EST
touchpad stops working....

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 32 Milan Bouchet-Valat 2012-12-12 17:06:12 EST
Same here.
Comment 33 Mark Salter 2012-12-13 17:53:20 EST
Powered up, logged in, x server crashed.

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 34 Malar Kannan 2012-12-18 12:53:17 EST
it crash as usual :P

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 35 khm 2012-12-19 02:36:27 EST
1. open pdf document in Evince
2. scale page size from menu


Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 36 ps2500 2012-12-21 12:18:29 EST
change of user count

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 37 Steevithak 2012-12-22 14:23:09 EST
Another X.Org crash

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 38 mbastani_66 2012-12-29 03:53:53 EST
I am not sure, but it could probably be caused by opening xdvi.

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 39 Brian J. Murrell 2012-12-29 08:28:21 EST
Since there are so many people CC'd here and since it doesn't seem like this bug will be fixed in FC17, just wanted to let you all know, I have not seen this issue in FC18.  Of course, you might just be trading one bug fix for another bug(s) (i.e. in this or another package) by upgrading to FC18.  :-/
Comment 40 Rui Gouveia 2013-01-13 18:42:47 EST
Booting after upgrading kernel in a system with bumblebee.

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 41 David Kovalsky 2013-01-16 13:00:31 EST
Quickly move a mouse around desktop. Used touchpad on Lenovo W510. Takes only a while.

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 42 Dmitry 2013-01-20 12:43:01 EST
Exiting Sleep

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 43 Noel Duffy 2013-01-27 05:40:41 EST
While using firefox, the synaptics touchpad got into a confused state. Dragging one finger was interpreted as being a two-finger drag, so the screen would scroll. I tried various keys to try to get the thing to reset. Nothing worked. Then I tried a two-finger drag on the touchpad. X promptly crashed.

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 44 Dmitry 2013-01-28 00:23:00 EST
This happeened after updating

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 45 Peter Hutterer 2013-01-30 00:15:18 EST
fwiw, I realise that this bug is affecting a lot of users (and I see a lot of duplicates) but I'm absolutely stumped as for what the cause is. it is apparently common enough that so many people see it but I can't reproduce it with any of my machines or tests.

That it doesn't appear in F18 suggests that the real issue is somewhere in the server, e.g. potential memory corruption. I encourage everyone on try xorg-x11-server-1.12.4-4, but not sure if that's the cause either.
Comment 46 Peter Hutterer 2013-01-30 00:47:16 EST
*** Bug 905091 has been marked as a duplicate of this bug. ***
Comment 47 747500 2013-01-31 13:22:04 EST
try to unlock screen (workstation w/ two monitors)

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 48 Jeff Gehlbach 2013-01-31 13:43:49 EST
Come to think of it, having a second monitor may be a factor in reproducing the issue on my system.  Won't be able to check that until next week.
Comment 49 MAskme 2013-02-10 00:41:13 EST
When i wa

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 50 Matteo Castellini 2013-02-21 04:32:52 EST
I cannot provide any clear reproduction step. 

The whole X server stopped responding for a few seconds and then my touchpad stopped working properly, not allowing me to move the cursor and just interpreting the vertical motion as a two-finger scrolling. I was able to reset it to it's normal working behaviour by issuing the following commands:
$ xinput set-int-prop "SynPS/2 Synaptics TouchPad" "Device Enabled" 8 0
$ xinput set-int-prop "SynPS/2 Synaptics TouchPad" "Device Enabled" 8 1


Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 51 Blue.Dog.Archolite 2013-02-21 10:41:39 EST
I was also running dual monitors when this error occurred. Thinkpad on docking station.
Comment 52 David Kovalsky 2013-02-27 08:12:57 EST
Resume from suspend. Touchpad not working, actually it's scrolling instead of moving around. 

Logging out / loggin in makes it work, but with crash.


Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 53 Kyle Garrison 2013-03-20 00:49:13 EDT
Problem reported on startup after update.

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 54 Kyle Garrison 2013-03-20 00:50:08 EDT
Also reported at startup after update

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 55 Wolfgang Gradl 2013-03-20 05:27:44 EDT
Resuming from suspend-to-ram

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 56 mitch 2013-03-22 07:07:59 EDT
Happened ever since upgraded from Fedora 16 - >  17
I dont have to try.  i just have to boot up.  It crashes minimum once per day upon bootup.

At first I thought it was something to do with the graphics driver (noveau).   Anytime I was in the browser, looking at web pages, for sure it would crash. 

Apper just updated the system 3.8.3.   Oh boy, did that crash.  Cant even start X.  During install, Kwin was reported as unstable and crashed about 7 - 8 times.

Choosing 3.7.9 in grub gets me back in useable state.


Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 57 jasonbenedict 2013-04-20 03:49:22 EDT
Description of problem:
cold boot into gnome, enter user name and password to login and upon displaying desktop.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.4-2.fc17

Additional info:
executable:     /usr/bin/Xorg
kernel:         3.8.4-102.fc17.x86_64

Truncated backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x465326]
1: /usr/lib64/xorg/modules/input/synaptics_drv.so (0x7f62493c4000+0x2fb4) [0x7f62493c6fb4]
2: /usr/lib64/xorg/modules/input/synaptics_drv.so (0x7f62493c4000+0x45d3) [0x7f62493c85d3]
3: /usr/lib64/xorg/modules/input/synaptics_drv.so (0x7f62493c4000+0x7002) [0x7f62493cb002]
4: /usr/bin/Xorg (0x400000+0x80817) [0x480817]
5: /usr/bin/Xorg (0x400000+0xa4b00) [0x4a4b00]
6: /lib64/libpthread.so.0 (0x3361800000+0xefe0) [0x336180efe0]
7: /lib64/libc.so.6 (__select+0x13) [0x33614ea9d3]
8: /usr/bin/Xorg (WaitForSomething+0x190) [0x4628a0]
9: /usr/bin/Xorg (0x400000+0x34131) [0x434131]
10: /usr/bin/Xorg (0x400000+0x23475) [0x423475]
11: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3361421735]
12: /usr/bin/Xorg (0x400000+0x2374d) [0x42374d]
Comment 58 Fedora End Of Life 2013-07-04 03:09:04 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 59 Fedora End Of Life 2013-08-01 14:56:17 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.